
var MainMenuLayer = cc.Layer.extend({
    ctor:function () {
        //////////////////////////////
        // 1. super init first
        this._super();
        var size = cc.winSize;


        var menuItem1 = new cc.MenuItemFont("Play", play);
        var menuItem2 = new cc.MenuItemFont("Highscores", highscores);
        var menuItem3 = new cc.MenuItemFont("Settings", settings);

        menuItem1.setPosition(cc.p(size.width / 2, (size.height / 4) * 3));
        menuItem2.setPosition(cc.p(size.width / 2, (size.height / 4) * 2));
        menuItem3.setPosition(cc.p(size.width / 2, (size.height / 4) * 1));

        var menu = new cc.Menu(menuItem1, menuItem2, menuItem3);
        menu.setPosition(cc.p(0, 0));
        this.addChild(menu);

        return true;
    }
});


var play = function()
{
    cc.log("Play Game");
    var gameScene = new GameScene();
    cc.director.pushScene(gameScene);

}

var highscores = function()
{
    cc.log("Highscores");
}

var settings = function()
{
    cc.log("Go To Settings");
}



var MainMenuScene = cc.Scene.extend({
    onEnter:function () {
        this._super();

        var layer = new MainMenuLayer();
        this.addChild(layer);
    }
});
